------------------------------------------------------------------------------------
--Name：            210119[简体征服][活动脚本]白色情人节活动
--Creator:      戴鑫海
--Created:     2021-01-19
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>116


-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(168,165)

-- 生成三大将领
local General1 = CppScriptMgr:AddSimplePlayer(1050560,169,167, "[Snail Girl] Old Snail");
local hero = CppScriptMgr:QueryHero()
hero:SetPos(169,177)
hero:SetDir(4)
General1:SetZoomPercent(200);
General1:AddEffect("Disapear1")
CppScriptMgr:WaitMilSec(2000)
local General2 = CppScriptMgr:AddSimplePlayer(1059190,169,163, "[Snail Girl] Love Witch");
General2:SetZoomPercent(200);
CppScriptMgr:WaitMilSec(2000)
hero:RunTo(169,170)
CppScriptMgr:WaitMilSec(2000)
hero:SetAction(404)
CppScriptMgr:WaitMilSec(1000)
General1:Say("Ahh! Headache! Stop! Please stop!",2000)
CppScriptMgr:WaitMilSec(2000)
General2:SetAction(230);
General2:AddEffect("moveallaying")
General2:Say("Damn it! How could you break my spell?",2000)
CppScriptMgr:WaitMilSec(2000)
General2:SetPos(1000,1000);
General1:DelEffect("Disapear1");
CppScriptMgr:WaitMilSec(2000)
General1:Say("I must have lost my mind! How could I ruin the match made in heaven?",2000)
CppScriptMgr:WaitMilSec(2000)